> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a comment by id

> Delete a comment by id



## OpenAPI

````yaml DELETE /discussion/v1/comments/{commentId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /discussion/v1/comments/{commentId}:
    delete:
      tags:
        - Comments
      summary: Delete a comment by id
      description: Delete a comment by id
      operationId: DeleteCommentByID
      parameters:
        - in: path
          name: commentId
          description: Comment ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: No Content
          content: {}
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````